# Class RecurEvent

java.lang.Object
org.daypilot.recurrence.RecurInfo
org.daypilot.recurrence.RecurEvent

public class RecurEvent extends RecurInfo

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRecurex(RecurEx recurex)`
  `void`
  `addRecurexSilent(RecurEx recurex)`
  `static RecurEvent`
  `fromRule(RecurrenceRule rule, DateTime start, DateTime end, String id, Object tag)`
  `DateTime`
  `getEnd()`
  `DayOfWeek`
  `getFirstDayOfWeek()`
  `DateTime`
  `getStart()`
  `DateTime`
  `next(int count, DateTime last)`
  Generates next occurrence .
  `List<Occurrence>`
  `occurrences(DateTime limit)`
  `static RecurEvent`
  `parseEvent(String input, DateTime start, DateTime end, String id, Object tag)`
  `void`
  `setEnd(DateTime end)`
  `void`
  `setFirstDayOfWeek(DayOfWeek firstDayOfWeek)`
  `void`
  `setStart(DateTime start)`

  ### Methods inherited from class org.daypilot.recurrence.RecurInfo

  `getTag, getType, parse, setTag, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fromRule

    public static RecurEvent fromRule(RecurrenceRule rule, DateTime start, DateTime end, String id, Object tag)

  - ### parseEvent

    public static RecurEvent parseEvent(String input, DateTime start, DateTime end, String id, Object tag)

  - ### occurrences

    public List<Occurrence> occurrences(DateTime limit)

  - ### addRecurexSilent

    public void addRecurexSilent(RecurEx recurex)

  - ### addRecurex

    public void addRecurex(RecurEx recurex)

  - ### getStart

    public DateTime getStart()

  - ### setStart

    public void setStart(DateTime start)

  - ### getEnd

    public DateTime getEnd()

  - ### setEnd

    public void setEnd(DateTime end)

  - ### getFirstDayOfWeek

    public DayOfWeek getFirstDayOfWeek()

  - ### setFirstDayOfWeek

    public void setFirstDayOfWeek(DayOfWeek firstDayOfWeek)

  - ### next

    public DateTime next(int count, DateTime last)
    Generates next occurrence .
    Parameters:
      `count` -
      `last` -
    Returns: